Bug Hunting Session
Bug 51126 - Text frame box not editable
Summary: Text frame box not editable
Status: CLOSED DUPLICATE of bug 52182
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-15 11:39 UTC by Claudius
Modified: 2012-12-10 22:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
file with not editable framebox (396.27 KB, application/vnd.oasis.opendocument.text)
2012-06-15 11:39 UTC, Claudius
Details
Bug 51126 - WinDbg session (12.98 KB, text/plain)
2012-06-20 05:45 UTC, bfoman (inactive)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Claudius 2012-06-15 11:39:17 UTC
Created attachment 63082 [details]
file with not editable framebox

a text frame box is not editable although neither the document nor the content of the frame box is write protected. Only size and position of the frame box are protected.

The .ott-file was originally created with OpenOffice where it works correctly.

The attached file was created by LibreOffice based on this .ott-file.
Comment 1 bfoman (inactive) 2012-06-20 05:23:41 UTC
Confirmed with:
LO 3.5.4.2 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Text frame box is not editable, deselecting Frame>Wrap>In background option makes it editable. 
Potential duplicate of bug 47138.
Comment 2 bfoman (inactive) 2012-06-20 05:45:53 UTC
Created attachment 63264 [details]
Bug 51126 - WinDbg session

Also program generated the exception upon exit.

Attached full WinDbg session.
Comment 3 manj_k 2012-12-03 00:38:13 UTC
Tested attachment 63082 [details]
NotEditableTextbox.odt

Still reproducible with
LibO 3.6.4.3 rc (Build ID: 2ef5aff)
(on WinXP).

But works fine with
LibO-Dev_4.0.0.0.alpha1+
Win-x86@6 MASTER
pull time 2012-12-02 05:22:03
core:704fdf2b23d0e0480f29e0e56f631c2835eed02b
(on WinXP)

Apparently fixed with bug 52182.

Suggestion: RESOLVED DUPLICATE (of bug 52182).

@bfoman, @Claudius:
Needs a second confirmation,
meanwhile marked as NEEDINFO.
Comment 4 Ivo 2012-12-09 10:31:36 UTC
Also version 3.6.4.3 dutch
text in framebox wich is outside the textarea (example above topmargin) not selectable with left-click, but will do with right-click and [esc]. If you move the frame inside the text area, it is reachable again.
Comment 5 Michael Stahl (CIB) 2012-12-10 22:22:07 UTC
it appears to me the problem in stack trace in comment #2
is not related to this bug (since it is in DOCX import
and the attachment is ODT) and also is fixed by commit
104badf31c8a39994cadc460561bfa01e428b67b
Comment 6 Michael Stahl (CIB) 2012-12-10 22:24:08 UTC
indeed duplicate

*** This bug has been marked as a duplicate of bug 52182 ***